//=============================================================================
// TO_SPHCB_FrozenScar.
//=============================================================================
// Special mission behaviors.
// Intercepts the console timer's success event and spawns the end game
// triggers
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 22/10/2002
//=============================================================================

class TO_SPHCB_FrozenScar expands TO_SP_HardCodedBehaviors;

var	TO_SinglePlayerGame		game;

function Initialise(TO_SinglePlayerGame myGame) {
	local TO_RoundWinning	winActor;
	
	game = myGame;
	tag = 'SF_completed';

	foreach allactors(class'TO_RoundWinning', winActor)
		winActor.tag = 'TO_SP_InvalidTag'; // Used to prevent the round winning actor from being activated
}

function Trigger( actor Other, pawn EventInstigator ) {
	TO_SinglePlayerGame(Level.Game).SpawnEndGameTriggers();
	game.SpecialTriggersMSG();
}

defaultproperties
{
}
