//=============================================================================
// TO_SP_PaintSlashImpact.
//=============================================================================
// Extended bullet impact to generate paint instead
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 07/12/2002
//=============================================================================

class TO_SP_PaintSlashImpact extends TO_BulletImpact;

simulated function SpawnEffects() {
	local	Byte	MaterialIndex, j;
	local Actor A;
	local float decision;
	local	int		EffectDetail;

	EffectDetail = class'TO_ConfigClass'.default.FeedbackEffects;

	// Decal
	BDl = Spawn(class'TO_BulletDecal');
	if ( BDl == None )
		Destroy();

	// Setting the right bullet hit decal
	//BDl.Texture = Texture'TO_SinglePlayer.Decals.to_sp_paintsplash1';
	BDl.texture = class'TO_SinglePlayer.TO_PaintBall'.static.GetRandomTexture();

	if ( bPlaySound )
		PlaySound(sound'UnrealShare.BioRifle.GelHit',, class'TO_TextureMaterial'.static.RandomizeFloat(6.0),,1000, 2);
}

simulated function GetRandomTexture() {

}

defaultproperties
{
}
