//=============================================================================
// TO_SP_YCODWeapon.
//=============================================================================
// The yogurt cannon of death !
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 19/12/2002
//=============================================================================

class TO_SP_YCODWeapon extends s_weapon;


///////////////////////////////////////
// defaultproperties 
///////////////////////////////////////

defaultproperties
{
     clipSize=30
     clipAmmo=30
     MaxClip=5
     ClipPrice=40
     AmmoName="9mm"
     MaxDamage=25.000000
     RoundPerMin=790
     price=1500
     BotAimError=0.280000
     PlayerAimError=0.140000
     VRecoil=75.000000
     HRecoil=20.000000
     bHasMultiSkins=True
     ArmsNb=3
     WeaponID=20
     WeaponClass=2
     WeaponWeight=15.000000
     aReloadWeapon=(AnimSeq=Reload,AnimRate=0.400000)
     MaxWallPiercing=15.000000
     MaxRange=2880.000000
     ProjectileSpeed=15000.000000
     FireModes(0)=FM_FullAuto
     FireModes(1)=FM_BurstFire
     FireModes(2)=FM_SingleFire
     bUseFireModes=True
     MuzScale=4.000000
     MuzX=643
     MuzY=475
     MuzRadius=64
     WeaponDescription="Classification: MP5 Navy machine gun."
     PickupAmmoCount=30
     bRapidFire=True
     FireOffset=(Y=15.000000,Z=-9.000000)
     MyDamageType=shot
     shakemag=250.000000
     shaketime=0.300000
     shakevert=7.000000
     AIRating=0.600000
     RefireRate=0.990000
     AltRefireRate=0.990000
     FireSound=Sound'TODatas.Weapons.MP5_Fire1'
     DeathMessage="%k's %w turned %o into a leaky piece of meat."
     NameColor=(B=0)
     bDrawMuzzleFlash=True
     MuzzleScale=0.700000
     FlashY=-0.050000
     FlashC=0.002000
     FlashLength=0.001000
     FlashS=64
     AutoSwitchPriority=20
     InventoryGroup=7
     PickupMessage="You got the MP5 Navy machine gun!"
     ItemName="MP5Navy"
     PlayerViewOffset=(X=150.000000,Y=150.000000,Z=-260.000000)
     PlayerViewScale=0.125000
     BobDamping=0.975000
     MuzzleFlashStyle=STY_Translucent
     MuzzleFlashScale=0.100000
     PickupSound=Sound'UnrealShare.Pickups.WeaponPickup'
     CollisionRadius=25.000000
     CollisionHeight=10.000000
     Mass=25.000000
}
