//=============================================================================
// TO_SinglePlayerModMenuItem.
//=============================================================================
// Menu item shown in the Mod Menu to start a single player game
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 19/08/2002
//=============================================================================

class TO_SinglePlayerModMenuItem expands UMenuModMenuItem;

function Setup() {
	/// Called when the menu item is created
}

function Execute() {
	MenuItem.Owner.Root.CreateWindow(class<UMenuBotmatchWindow>(DynamicLoadObject("TO_SinglePlayer.TO_StartSinglePlayerSC", class'Class')), 100, 100, 200, 200, , true);
}

defaultproperties
{
     MenuCaption="Start &Single Player Game"
     MenuHelp="Click to start or continue a Single Player game."
}
