//=============================================================================
// TO_CrossDressers.
//=============================================================================
// Turns males into females and vice versa.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 19/12/2002
//=============================================================================

class TO_CrossDressers expands TO_SinglePlayerMutator;

function Initialise() {
	game.bCrossDressers = true;
	game.SinglePlayerDefinition.OpponentSkins = SwitchSkin(game.SinglePlayerDefinition.OpponentSkins);
	game.SinglePlayerDefinition.TeamSkins = SwitchSkin(game.SinglePlayerDefinition.TeamSkins);
	game.SinglePlayerDefinition.SelfSkin = SwitchSkin(game.SinglePlayerDefinition.SelfSkin);
	game.SinglePlayerDefinition.SpawnSpecialEnemyBotSkin = SwitchSkin(game.SinglePlayerDefinition.SpawnSpecialEnemyBotSkin);
	game.SinglePlayerDefinition.VIPSkin = SwitchSkin(game.SinglePlayerDefinition.VIPSkin);
}

function int SwitchSkin(int skin) {
	switch(skin) {
		case 0: return 0;
		case 1: return 8;
		case 2: return 12;
		case 3: return 16;
		case 4: return 12;
		case 5: return 7;
		case 6: return 8;
		case 7: return 5;
		case 8: return 6;
		//case 9: return 0;
		case 10: return 8;
		case 11: return 16;
		case 12: return 11;
		case 13: return 0;
		//case 14: return 0;
		case 15: return 16;
		case 16: return 15;
		case 17: return 12;
		case 18: return 8;
	}
	
	return 1;
}

defaultproperties
{
}
