//=============================================================================
// TO_InflatingCorpses.
//=============================================================================
// Corpes grow up and gib.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 15/12/2002
//=============================================================================

class TO_InflatingCorpses expands Mutator;

var		pawn	killed;
var		TO_GibbableCarcass	carcass;


function ScoreKill(Pawn Killer, Pawn Other) {
	if (Level.Game == none || s_SwatGame(Level.Game) == none || s_SwatGame(Level.Game).GamePeriod == s_SwatGame(Level.Game).EGamePeriod.GP_PreRound)
		return;
	
	killed = other;
	carcass = spawn(class'TO_SinglePlayer.TO_GibbableCarcass',,, killed.Location + killed.CollisionHeight * vect(0,0,0.5));
	carcass.Initfor(killed);
	carcass.bPlayerCarcass = true;
	carcass.GotoState('inflating');

	// Hide dying pawn
	killed.bHidden = true;
}

function bool CheckReplacement(Actor Other, out byte bSuperRelevant) {
	if (Other.IsA('s_PlayerCarcass') && !Other.IsA('TO_GibbableCarcass'))
		return false;

	return true;
}

defaultproperties
{
}
