//=============================================================================
// TO_MatrixMode.
//=============================================================================
// Slomotion with player going fast
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 15/12/2002
//=============================================================================

class TO_MatrixMode expands TO_SinglePlayerMutator;

var float					SlowdownFactor;
var TO_SinglePlayerGame		game;

function Initialise() {
	game = TO_SinglePlayerGame(Level.Game);
	game.SetGameSpeed(1 / SlowdownFactor);
}

function PostRestartRound() {
	gotostate('running');
	log("player ground speed = " $ TO_SinglePlayerGame(Level.Game).GetPlayer().GroundSpeed);
}

state running {
	function Tick( float DeltaTime ) {
		game.GetPlayer().CalculateWeight();
		game.GetPlayer().AccelRate *= SlowdownFactor;
		game.GetPlayer().GroundSpeed *= SlowdownFactor;
		game.GetPlayer().AirSpeed *= SlowdownFactor;
		game.GetPlayer().AirControl *= SlowdownFactor;
	}
}

defaultproperties
{
     SlowdownFactor=2.000000
}
