//=============================================================================
// TO_SPHCB_TerrRescueHostages.
//=============================================================================
// Terrorists must rescue hostages to win.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 14/11/2002
//=============================================================================

class TO_SPHCB_TerrRescueHostages expands TO_SPHCB_HostageRescuePlusAny;

var bool					bFirstExitTriggerCheck;

function PostRestartRound() {
	super.PostRestartRound();

	SpawnExitRingsAtHostageRescuePoints();
}

function SpawnExitRingsAtHostageRescuePoints() {
	local TO_SP_ExitRing			ExitRing;
	local s_ZoneControlPoint	zone;

	game.bEndGameTriggersSpawned = true;		// Hack to allow exit direction thingy to show up

	foreach AllActors(class's_ZoneControlPoint', zone) {
		if (zone.bRescuePoint == true) {
			ExitRing = Spawn(class'TO_SP_ExitRing',,, zone.location + vect(0,0,1) * game.SinglePlayerDefinition.ExitRingZOffset);
			ExitRing.DrawScale = zone.CollisionRadius / 100;
			ExitRing.MultiSkins[1] = Texture'TO_SinglePlayer.to_sp_rescuering';
			game.anExitObject = zone;
		}
	}
}

defaultproperties
{
}
