//=============================================================================
// TO_SPHCB_Trooper.
//=============================================================================
// Special mission behaviors.
// Adds the paintball mutator to the game.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 11/11/2002
//=============================================================================

class TO_SPHCB_Trooper expands TO_SP_HardCodedBehaviors;

var	TO_SinglePlayerGame		game;

function Initialise(TO_SinglePlayerGame myGame) {
	local Mutator myMutator;
	local bool bMutatorFound;

	game = myGame;

	bMutatorFound = false;
    for (myMutator = game.BaseMutator; myMutator != None; myMutator = myMutator.NextMutator)
		if (myMutator.IsA('TO_PaintBall'))
			bMutatorFound = true;

	if (!bMutatorFound)
		game.BaseMutator.AddMutator(Spawn(class'TO_SinglePlayer.TO_PaintBall'));
		
}

defaultproperties
{
}
