//=============================================================================
// TO_SP_BotSpawnPoint.
//=============================================================================
// Spawns a bot at this point at the beginning of each round, or when
// triggered.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 13/10/2002
//=============================================================================

class TO_SP_BotSpawnPoint extends Navigationpoint;

enum ETeams
{
	ET_Terrorists,	
	ET_SpecialForces,	
};

enum EAttitudes
{
	EA_Normal,
	EA_Hold,
	EA_Freelance,
	EA_Roam,
	EA_FollowVIP,
	EA_Defend,
	EA_Attack,
};

var() ETeams		Team;
var() int			Skin;
var() string		Name;
var() string		GivenWeapons;
var() int			Health;
var() int			GivenMoney;
var() int			Intelligence;
var() EAttitudes	Attitude;

function PreBeginPlay() {

}

defaultproperties
{
     bDirectional=True
}
