//=============================================================================
// TO_SP_SparksGenerator.
//=============================================================================
// Sparks generator. Makes a slight hum and spawns ~18 sparks per second.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 03/12/2002
//=============================================================================

class TO_SP_SparksGenerator extends Actor;

function Timer() {
	local ut_spark	aSpark;

	aSpark = Spawn(class'ut_spark',,, Location);
	aSpark.DrawScale = 0.05 + FRand() * 0.05;	

	SetTimer(0.1+FRand()*0.1, false);

}

auto state Spawning {

begin:
 	AmbientSound = Sound(DynamicLoadObject("AmbModern.Looping.elec6", class'Sound'));
	SoundRadius=8;
	SoundVolume=64;
	SoundPitch=64;
	SetTimer(0.5, false);

}

defaultproperties
{
     bHidden=True
     Style=STY_Masked
     Texture=Texture'UnrealShare.Effects.SmokePuff43'
}
