//=============================================================================
// TO_SP_WaterSheet.
//=============================================================================
// Water mesh. Used for verdon special effects.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 24/11/2002
//=============================================================================

class TO_SP_WaterSheet expands Decoration;

#exec MESH IMPORT MESH=TO_SP_WaterSheet ANIVFILE=MODELS\TO_SP_WaterSheet_a.3d DATAFILE=MODELS\TO_SP_WaterSheet_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=TO_SP_WaterSheet X=0 Y=0 Z=0

#exec MESH SEQUENCE MESH=TO_SP_WaterSheet SEQ=All        STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=TO_SP_WaterSheet SEQ=watersheet STARTFRAME=0 NUMFRAMES=1

//#exec TEXTURE IMPORT NAME=JTO_SP_WaterSheet1 FILE=MODELS\TO_SP_WaterSheet1.PCX GROUP=Skins FLAGS=2 // 2 - Default

#exec MESHMAP NEW   MESHMAP=TO_SP_WaterSheet MESH=TO_SP_WaterSheet
#exec MESHMAP SCALE MESHMAP=TO_SP_WaterSheet X=0.1 Y=0.1 Z=0.2

//#exec MESHMAP SETTEXTURE MESHMAP=TO_SP_WaterSheet NUM=1 TEXTURE=JTO_SP_WaterSheet1

singular function touch(actor Other) {
	if (Other.IsA('Pawn')) {
		//PlayerPawn(Other).HeadRegion.Zone = FindWaterZoneActor();
		PlayerPawn(Other).SetPhysics(PHYS_Swimming);
		PlayerPawn(Other).GotoState('PlayerSwimming');
		PlayerPawn(Other).TakeDamage(500000, None, PlayerPawn(Other).Location, vect(0,0,0), 'Felt');
	}
}

/*function ZoneInfo FindWaterZoneActor() {
	local ZoneInfo zone;

	foreach allactors(class'zoneinfo', zone)
		if (zone.bWaterZone == true)
			return zone;
}*/

defaultproperties
{
     bStatic=False
     DrawType=DT_Mesh
     Mesh=LodMesh'TO_SinglePlayer.TO_SP_WaterSheet'
     DrawScale=30.000000
     CollisionRadius=2169.000000
     CollisionHeight=20.000000
     bCollideActors=True
     bBlockActors=True
     bProjTarget=True
}
